surveycharacteristics: Get survey characteristics

API: dhsprogram.com:dhs-program-api
Endpoint: /surveycharacteristics
Response format: text/html
Auth: unknown
Method: GET
Last Status: 404
Latency: 553ms

Description

Returns a list of survey characteristics/categories such as HIV testing, Malaria RDT, Child labor, Domestic violence, etc.

Parameters (2)

page (integer, query, optional, default: 1)

Page number for pagination

perPage (integer, query, optional, default: 100)

Number of records per page

Examples (3)

Get survey characteristics in JSON format (default) curl
curl 'https://www.dhsprogram.com/surveycharacteristics' \
  -d '"The resource you are looking for has been removed, had its name changed, or is temporarily unavailable."'
import requests

resp = requests.get(
    "https://www.dhsprogram.com/surveycharacteristics",
    json="The resource you are looking for has been removed, had its name changed, or is temporarily unavailable.",
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("dhsprogram")
result = api.fetch("surveycharacteristics")

for item in result:
    print(item)
const body = "The resource you are looking for has been removed, had its name changed, or is temporarily unavailable.";

const resp = await fetch("https://www.dhsprogram.com/surveycharacteristics", {
  body: JSON.stringify(body),
});
const data = await resp.json();
Get survey characteristics in JSON format (explicit) curl
curl 'https://www.dhsprogram.com/surveycharacteristics?f=json' \
  -d '"The resource you are looking for has been removed, had its name changed, or is temporarily unavailable."'
import requests

resp = requests.get(
    "https://www.dhsprogram.com/surveycharacteristics",
    params={
        'f': 'json',
    },
    json="The resource you are looking for has been removed, had its name changed, or is temporarily unavailable.",
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("dhsprogram")
result = api.fetch("surveycharacteristics", f="json")

for item in result:
    print(item)
const body = "The resource you are looking for has been removed, had its name changed, or is temporarily unavailable.";

const resp = await fetch("https://www.dhsprogram.com/surveycharacteristics?f=json", {
  body: JSON.stringify(body),
});
const data = await resp.json();
Get survey characteristics in CSV format for data analysis curl
curl 'https://www.dhsprogram.com/surveycharacteristics?f=csv' \
  -d '"The resource you are looking for has been removed, had its name changed, or is temporarily unavailable."'
import requests

resp = requests.get(
    "https://www.dhsprogram.com/surveycharacteristics",
    params={
        'f': 'csv',
    },
    json="The resource you are looking for has been removed, had its name changed, or is temporarily unavailable.",
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("dhsprogram")
result = api.fetch("surveycharacteristics", f="csv")

for item in result:
    print(item)
const body = "The resource you are looking for has been removed, had its name changed, or is temporarily unavailable.";

const resp = await fetch("https://www.dhsprogram.com/surveycharacteristics?f=csv", {
  body: JSON.stringify(body),
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:16:07.489623 404 553ms
2026-04-16 17:06:49.928528 404 543ms
2026-04-16 02:49:04.661194 404 529ms
2026-04-16 02:01:18.289412 404 660ms
2026-04-16 00:16:26.837217 404 523ms
2026-04-15 04:01:32.551999 404 524ms
2026-04-15 02:27:24.605260 404 658ms
2026-04-15 01:16:17.467639 404 535ms
2026-04-14 02:50:45.866488 404 523ms
2026-04-14 00:34:42.250008 404 531ms
2026-04-14 00:09:45.954157 404 544ms
2026-04-12 16:53:48.216398 404 519ms
2026-04-12 15:38:18.134190 404 559ms
2026-04-12 14:10:07.501099 404 506ms
2026-04-10 02:56:15.012251 404 434ms
2026-04-10 00:43:22.879246 404 415ms
2026-04-10 00:13:17.964178 404 549ms
2026-04-09 03:49:02.552928 404 520ms
2026-04-09 03:42:03.088982 404 512ms
2026-04-09 01:11:23.502615 404 513ms
2026-04-08 00:23:27.887337 404 536ms
2026-04-08 00:09:18.677050 404 584ms
2026-04-08 00:06:45.456798 404 658ms
2026-04-07 01:02:30.719064 404 526ms
2026-04-07 00:20:39.655010 404 519ms
2026-04-07 00:03:03.242774 404 742ms
2026-04-06 04:05:43.997511 404 764ms
2026-04-05 22:51:52.144856 404 590ms
2026-04-05 21:06:07.474553 404 899ms
2026-04-05 02:56:42.325775 404 587ms
2026-04-05 01:05:18.611172 404 615ms
2026-04-05 01:00:19.135850 404 619ms
2026-04-04 03:28:47.516518 404 631ms
2026-04-04 02:32:28.632397 404 518ms
2026-04-04 02:19:36.788521 404 521ms
2026-04-03 13:09:08.864211 404 525ms
2026-04-03 13:05:35.236542 404 533ms
2026-04-03 12:51:24.967947 404 535ms
2026-03-30 03:08:28.267863 404 522ms
2026-03-30 02:45:15.754551 404 524ms
2026-03-30 02:32:35.682401 404 515ms
2026-03-29 13:28:12.968483 404 500ms
2026-03-29 13:17:41.491712 404 512ms
2026-03-29 12:41:36.107491 404 519ms
2026-03-23 10:16:01.333826 404 463ms
2026-03-23 09:11:54.799789 404 446ms
2026-03-23 09:09:41.885814 404 470ms